SIDVault < 2.0f LDAP 伺服器格式錯誤的搜尋要求緩衝區溢位

critical Nessus Plugin ID 25935

Synopsis

遠端 LDAP 伺服器容易遭受緩衝區溢位攻擊。

描述

遠端主機正在執行 SIDVault,這是一個適用於 Windows 和 Linux 的 LDAP v3 伺服器。

根據其標題來判斷,遠端主機上的 SIDVault 版本無法處理某些格式錯誤的搜尋要求。據報告,使用者可利用此問題損毀受影響的服務,或以 Root 或 SYSTEM 層級權限在受影響的系統上執行任意程式碼。

解決方案

升級至 SIDVault 2.0f 版或更新版本。

另請參閱

https://www.securityfocus.com/archive/1/477821/30/0/threaded

Plugin 詳細資訊

嚴重性: Critical

ID: 25935

檔案名稱: sidvault_20f.nasl

版本: 1.16

類型: remote

已發布: 2007/8/28

已更新: 2018/11/15

風險資訊

VPR

風險因素: Medium

分數: 6.7

CVSS v2

風險因素: Critical

基本分數: 10

時間分數: 7.8

媒介: CVSS2#AV:N/AC:L/Au:N/C:C/I:C/A:C

時間媒介: CVSS2#E:POC/RL:OF/RC:C

弱點資訊

可被惡意程式利用: true

可輕鬆利用: Exploits are available

參考資訊

CVE: CVE-2007-4566

BID: 25460

CWE: 119

EDB-ID: 4315